## GtexBuildToolsDefault

GtexBuildToolsDefault — Default build tools

## Functions

GtexBuildToolsDefault * | gtex_build_tools_default_get_instance ()

## Types and Values

struct | GtexBuildToolsDefault

## Object Hierarchy

        GObject
        ╰── GtexBuildTools
            ╰── GtexBuildToolsDefault

## Includes

    #include <gtex.h>

## Description

The GtexBuildToolsDefault singleton class represents the default build tools of this application. The only possible modification is to enable or disable a build tool. Each default build tool has an ID. These IDs are used to load and save the lists of enabled and disabled build tools. The XML file is never modified by the application. But the XML file (located in data/build_tools/) can be modified by a developer to change a command, add a new build tool (with a new ID), etc. The changes will automatically be available to all the users when upgrading to the new version of the application. That's why the default build tools can not be modified and are not saved to another XML file.

## Functions

### gtex_build_tools_default_get_instance ()

    GtexBuildToolsDefault *
    gtex_build_tools_default_get_instance (void);

Gets the instance of the GtexBuildToolsDefault singleton.

#### Returns

the instance of GtexBuildToolsDefault.

[transfer none]

## Types and Values

### struct GtexBuildToolsDefault

    struct GtexBuildToolsDefault;